Update: UltraVNC 1.4.3.6 and UltraVNC SC 1.4.3.6: viewtopic.php?t=37885
Important: Please update to latest version before to create a reply, a topic or an issue: viewtopic.php?t=37864

Join us on social networks and share our announcements:
- Website: https://uvnc.com/
- GitHub: https://github.com/ultravnc
- Mastodon: https://mastodon.social/@ultravnc
- Facebook: https://www.facebook.com/ultravnc1
- X/Twitter: https://twitter.com/ultravnc1
- Reddit community: https://www.reddit.com/r/ultravnc
- OpenHub: https://openhub.net/p/ultravnc

Problem with security on SC

Should you have problems with the DSM plugin, here's the place to look for help or report issues
Post Reply
Fantom
Posts: 5
Joined: 2023-10-09 12:04

Problem with security on SC

Post by Fantom »

How can I add plugin for viewer (single click) 1.4.3.5 ?
I start it from cmd:
vncviewer -listen -dsmplugin msrc4plugin_for_sc.dsm
and when client try connect to me (using -secureplugin -connect), i get error:
The Plugin cannot be loaded. Please check its integrity.

Fantom
User avatar
Rudi De Vos
Admin & Developer
Admin & Developer
Posts: 6828
Joined: 2004-04-23 10:21
Contact:

Re: Problem with security on SC

Post by Rudi De Vos »

SC use the latest plugin, it's buildin,

vncviewer -listen -dsmplugin SecureVNCPlugin.dsm or SecureVNCPlugin64.dsm if you use the 64bit version of the viewer
Fantom
Posts: 5
Joined: 2023-10-09 12:04

Re: Problem with security on SC

Post by Fantom »

vncviewer -listen -dsmplugin SecureVNCPlugin.dsm

Now i have error: Server closed connection. Your connection has been rejected.

Do I need to configure it somehow?
Fantom
Posts: 5
Joined: 2023-10-09 12:04

Re: Problem with security on SC

Post by Fantom »

But I try use this new one (experimental) from
viewtopic.php?t=37866
User avatar
Rudi De Vos
Admin & Developer
Admin & Developer
Posts: 6828
Joined: 2004-04-23 10:21
Contact:

Re: Problem with security on SC

Post by Rudi De Vos »

Code is the same, the online creator use the same exe as you can download using the zip.

SC require a key for authentication.
One part need to be distributed with the server, the contra key is used by the viewer.
The keys are a pair

It's explained in https://uvnc.com/downloads/ultravnc/158 ... 4-3-5.html subsection SC 1435
User avatar
Rudi De Vos
Admin & Developer
Admin & Developer
Posts: 6828
Joined: 2004-04-23 10:21
Contact:

Re: Problem with security on SC

Post by Rudi De Vos »

Seems latest plugin doesn't like the be embedded.
For now added back the previous plugin.
Online creator also updated.

https://uvnc.eu/download/1430/UltraVNC_SC_1436.zip
Fantom
Posts: 5
Joined: 2023-10-09 12:04

Re: Problem with security on SC

Post by Fantom »

Ok.
I generated keys, and download SC.
In catalog i have
- vncviewer.exe
- MSRC4Plugin_for_sc.dsm
- SC_Viewer_ClientAuth.pkey

I run vnc from batch file:
"vncviewer -listen -dsmplugin MSRC4Plugin_for_sc.dsm"

I run downloaded helpdesk.exe

I try connect to computer and i see error
"The plugin cannot be loaded. Please check its name integrity"

ps. I also run manualy VNC Server, checked "Encryption use", select "MSRC4Plugin_for_sc", click "config" and i see this same error.
User avatar
Rudi De Vos
Admin & Developer
Admin & Developer
Posts: 6828
Joined: 2004-04-23 10:21
Contact:

Re: Problem with security on SC

Post by Rudi De Vos »

MSRC4Plugin_for_sc.dsm is the old plugin used by the old SC versions.

All new versions use the SecureVNCPlugin.dsm, the viewer also need to use SecureVNCPlugin.dsm (win32)
or SecureVNCPlugin64.dsm (X64)
Fantom
Posts: 5
Joined: 2023-10-09 12:04

Re: Problem with security on SC

Post by Fantom »

Ok - now its works.

I misunderstood what x means "latest" and "previous" plugin :)
Post Reply